• Announcements

    • Chris - TFM

      Game versions updated - It's time to downgrade!   08/16/17

      Once again a new version of Euro Truck Simulator 2 and American Truck Simulator have been released. If you wish to carry on playing TruckersMP, for the time being you will need to downgrade your game versions to   ETS2: "temporary_1_27 - 1.27.x for incompatible mods" ATS: "temporary_1_6 - 1.6.x for incompatible mods"   Use the following to learn how to downgrade:      Thanks!
Sign in to follow this  
S&B KAREL NL [ONWER]

Hello when will the new trailers appear on the double trailers, ie the one in 1.28 version

Recommended Posts

You should ask that question to SCS Software rather than TruckersMP. SCS develops and updates the game so they are in charge of everything. When the multiplayer is going to support the version, once it has been released, is another question.

Share this post


Link to post
Share on other sites

Hello, you need to wait for the doubles in truckersmp, because as long as that is the beta truckersmp will not support it. There is no date. 

However, Happy Trucking :) 

Share this post


Link to post
Share on other sites

You have to wait a few weeks...

Players has found some bugs and SCS have to fix it

So what you can do now is to enjoy ETS2 you can download so many mods for the 1.28x like Maps, Trailers etc.

 

Share this post


Link to post
Share on other sites

1.28 will be released end of august.. so we may be able to play with the doubles online as soon as mwl4 and the other devs are done with a new patch after 1.28 is released. i would guess first week of september.

 

for singleplayer.. promods will also release 2.20 end of august togather with 1.28. :)

 

source of this information.. mandelsoft (promods dev and scs map developer) in a squirrle stream.

Edited by sgpch1983

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
Sign in to follow this